Bug 848640 - Selecting 'Show all Locales' for a project leads to an error page
Selecting 'Show all Locales' for a project leads to an error page
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: WebSite (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 01:47 EDT by Jack Reed
Modified: 2013-06-17 01:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120927-1428)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Reed 2012-08-16 01:47:33 EDT
Description of problem:

When signed into Zanata, the list of locales is not visible on a project version page. The list is visible when not signed in.

When checking the 'Show all Locales' box, a loading graphic appears for several minutes, before an 'Internal Server Error' page is presented.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Visit a project version page, such as https://translate.zanata.org/zanata/iteration/view/fedora-installation-guide/f17
2. Check the 'Show all Locales' box
  
Actual results:
An error page stating the following:

"Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, it-ops-root@redhat.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log."

Expected results:

A list of all locales, which I can then browse.

Additional info: A slightly different, language-specific URL does grant access to a list of files while signed in: https://translate.zanata.org/zanata/iteration/files/fedora-installation-guide/f17/ja
Comment 1 Alex Eng 2012-09-26 20:33:59 EDT
User interface has been changed in version 2.0

All locale will be display be default with highlighted of joined locale team.
Comment 2 Ding-Yi Chen 2012-09-27 01:42:35 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120927-1428)
Comment 3 Sean Flanigan 2012-11-07 01:19:36 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.